#ifndef OPENMANUS_MANUS_H
#define OPENMANUS_MANUS_H

#include <string>
#include <memory>
#include "tool_call_agent.h"

namespace openmanus {

/**
 * @class Manus
 * @brief Manus代理，一个通用的智能助手
 */
class Manus : public ToolCallAgent {
public:
    /**
     * @brief 构造函数
     * @param config_file 配置文件路径
     */
    Manus(const std::string& config_file = "config.toml");
    virtual ~Manus() = default;

    /**
     * @brief 初始化代理
     */
    void initialize();

private:
    // 添加特定于Manus的工具
    void addManusTools();
};

} // namespace openmanus

#endif // OPENMANUS_MANUS_H 