#include "include/agent_base.h"
#include <stdexcept>

namespace openmanus {

AgentBase::AgentBase(const std::string& name, const std::string& description)
    : name_(name), description_(description) {
    // 初始化工具集合
    available_tools_ = std::make_unique<ToolCollection>();
}

mcp::json AgentBase::executeToolCall(const std::string& tool_name, const mcp::json& params) {
    // 获取工具
    ToolBase* tool = available_tools_->getTool(tool_name);
    if (!tool) {
        throw std::runtime_error("找不到工具: " + tool_name);
    }
    
    // 执行工具
    return tool->execute(params);
}

} // namespace openmanus 