#include "include/tool_call.h"

namespace openmanus {

ToolCall::ToolCall(const std::string& id, const std::string& name, const mcp::json& params)
    : id_(id), name_(name), params_(params), result_("") {
}

ToolCall ToolCall::fromJson(const mcp::json& json) {
    std::string id = json.contains("id") ? json["id"].get<std::string>() : "";
    std::string name = json.contains("name") ? json["name"].get<std::string>() : "";
    mcp::json params = json.contains("params") ? json["params"] : mcp::json::object();
    
    return ToolCall(id, name, params);
}

mcp::json ToolCall::toJson() const {
    mcp::json json;
    json["id"] = id_;
    json["name"] = name_;
    json["params"] = params_;
    json["result"] = result_;
    return json;
}

} // namespace openmanus 